@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600&display=swap');

/* GERAL */
body {
  padding: 10px;
  margin:10px;
}
@media only screen and (min-width: 700px) {
  body {
    padding: 20px;
    max-width: 1440px;
    margin-left: auto;
    margin-right: auto;
  }
}

p, p *, ul, ol, ul *, ol * {
  font-size: 15px;
  line-height: 1.3;
}

p.intro {
   font-family: 'Inter', sans-serif;
   margin-bottom: 150px;
}

div.intro {
     font-family: 'Inter', sans-serif;
   margin-bottom: 150px;
}

a {
  color: inherit;
  text-decoration-color: #black;
}

ul {
  padding: 0;
  margin: 0;
}

li {
  list-style: inside;
}

hr {
  color: rgb(150,150,150);
  margin-top: 15px;
}

h1 {
  font-size: 2.5em;
}

h2 {
  font-size: 1.5em;
}

h3 {
  margin-bottom: 1em;
  font-size: 1.5em;
}

.figures-container figure img {
  max-width: 75%; /*temp*/
  margin-top:0.5em;
}


/* HEADER */
header {
  margin-bottom: 8em;
  z-index: 2000;
}

header * {
  font-family: 'Inter', sans-serif;
  font-size: 1.2rem;
}


header .logo {
  margin: 0;
  font-weight: bold;
  font-size: 1.5rem;
}

header nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  flex-direction: column;
}
@media only screen and (min-width: 750px) {
  header nav {
    flex-direction: row;
  }
}

header ul {
  display: flex;
  margin-top: 1em;
}
@media only screen and (min-width: 750px) {
  header ul {
    margin-top: 0;
  }
}

header li {
  list-style: none;
  margin-right: 1em;
}

/*
@media only screen and (min-width: 750px) {
  header li {
    margin-right: 0;
    margin-left: 1em;
  }
}
*/
header a {
  text-decoration-color: black;
}

header a:not(.active) {
  text-decoration: none;
}

header a:hover {
  text-decoration: underline;
}


/* LISTS / TABLES */
table * {
  font-family: 'Inter', sans-serif;
}

th {
  position: relative;
  text-align: left;
  display: none;
  user-select: none;
}
@media only screen and (min-width: 1000px) {
  th {
    display: table-cell;
  }
}

th:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0px;
  right: 0;
  border-bottom: 1px solid black;
}

tr {
  display: flex;
  flex-direction: column;
  border-bottom: 1px solid;
}
@media only screen and (min-width: 1000px) {
  tr {
    display: table-row;
    border-bottom: 0;
  }
}


td, th {
  padding: 2px;
  padding-top: 10px;
  padding-bottom: 10px;
  vertical-align: top;
}
@media only screen and (min-width: 1000px) {
  td, th {
    border-bottom: 1px solid;
    vertical-align: top;
  }
}

td small {
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 0.65em;
  display: block;
  font-weight: bold;
  padding-bottom: 0.3em;
}

@media only screen and (min-width: 1000px) {
  td small {
    display: none;
  }
}


.table-header {
  top: 0;
  position: sticky;
  background-color: white;
}

.table-header th {
  border-bottom: 1px solid;
}

table {
  border-collapse: collapse;
  width: 100%;
}

table li {
  list-style: none;
}

table a {
  text-decoration: none;
}

table a:hover {
  text-decoration: underline;
}

colgroup {
  display: none;
}

@media only screen and (min-width: 1000px) {
  colgroup {
    display: table-column-group;
  }
}

.annotator-viewer {
  display: none !important;
}



/* FRAGMENTS SINGLE PAGE */
.single__body span {
  position: initial !important;
  top: initial !important;
}

.tooltip {
  position: fixed;
  top: 0;
  left: 0;
  display:  none;
  z-index: 2;
  color: rgb(50,50,50);
}

.tooltip a {
  text-decoration: none;
}

.tooltip a:hover {
  color: #00008b;
}

.tooltip__content {
  background-color: rgba(245,245,245,0.97);
  padding: 10px;
  border-radius: 3px;
  max-width: 100vw;
  width: 360px;
  border: 1px solid rgb(225,225,225);
  box-shadow: rgba(100, 100, 111, 0.2) 0px 1px 5px 0px;
}

.tooltip__arrow {
  position: relative;
  width: 0;
  height: 0;
  z-index: 3;
  margin-top: -1px;
  border-left: 11px solid transparent;
  border-right: 11px solid transparent;
  border-top: 11px solid rgba(225,225,225,0.97);
}
.tooltip__arrow-inside {
  width: 0;
  height: 0;
  position: absolute;
  top: -11px;
  left:  calc(10px / -2 - 5px);
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid rgba(245,245,245,0.97);
}

.tooltip__arrow--top {
  margin-bottom: -1px;
  border-top: 0;
  border-bottom: 11px solid rgba(225,225,225,0.97);
}

.tooltip__arrow--top .tooltip__arrow-inside {
  border-top: 0;
  top: 2px;
  border-bottom: 10px solid rgba(245,245,245,0.97);
}

.tooltip--show {
  display: block;
}

.tooltip--bottom .tooltip__arrow--top {
  display: block;
}

.tooltip--bottom .tooltip__arrow--bottom {
  display: none;
}

.tooltip--top .tooltip__arrow--top {
  display: none;
}

.tooltip__tags {
  display:  block;
  margin-top: 7px;
}

.tooltip__tags span {
  font-size: 80%;
  background-color: rgb(220,220,220);
  border-radius: 1em;
  padding: 2px 6px;
  margin-right: 5px;
  word-break: break-word;
  display: inline-block;
}

.icon-link {
  display: inline-block;
  margin-left: 5px;
  width: 0.7em;
  height: 0.7em;
  background-size: contain;
  background-position: center center;
  background-image: url('../img/link.png');
}


/* citations */
[data-cit-ldod-fragment] {
  background-color: rgb(255,0,0, 0.4);
}
[data-cit-othersource="critic"] {
  background-color: rgb(0,255,0, 0.4);
}
[data-cit-othersource="external-link"] {
  background-color: rgb(0,0,255, 0.4);
}
[data-cit-othersource="reference"] {
  background-color: rgb(255,0,255, 0.4);
}
[data-cit-othersource="other"] {
  background-color: rgb(255,140,0, 0.2);
}

[data-cit-ldod-fragment]:hover {
  background-color: rgb(255,0,0, 0.8);
}
[data-cit-othersource="critic"]:hover {
  background-color: rgb(0,255,0, 0.8);
}
[data-cit-othersource="external-link"]:hover {
  background-color: rgb(0,0,255, 0.8);
}
[data-cit-othersource="reference"]:hover {
  background-color: rgb(255,0,255, 0.8);
}
[data-cit-othersource="other"]:hover {
  background-color: rgb(255,140,0, 0.6);
}

[data-cit-ldod-fragment],
[data-cit-othersource] {
  text-decoration: none;
}

[data-footnote]:hover {
  background-color: rgba(0,0,0,0.1);
}


/* CRITIC SINGLE PAGE */
.single {
  max-width: 900px;
  margin-top: 10em;
}

.single p,
.single p *,
.single ul,
.single ul *,
.single ol,
.single ol * {
  font-size: 1.2rem;
} 
@media only screen and (min-width: 700px) {
  .single p,
  .single p *,
  .single ul,
  .single ul *,
  .single ol,
  .single ol * {
    font-size: 1.2rem;
  } 
}
.single__images p,
.single__images p *,
.single__images ul,
.single__images ul *,
.single__images ol,
.single__images ol *,
.single [type="footnotes"] p,
.single [type="footnotes"] p *,
.single [type="footnotes"] ul,
.single [type="footnotes"] ul *,
.single [type="footnotes"] ol,
.single [type="footnotes"] ol *,
.single [type="bibliography"] p,
.single [type="bibliography"] p *,
.single [type="bibliography"] ul,
.single [type="bibliography"] ul *,
.single [type="bibliography"] ol,
.single [type="bibliography"] ol * {
  font-size: 16px;
}

.single__content {
  margin-top: 4em;
  margin-bottom: 4em;
}
.single__content div + div {
  /*margin-top: 4em;*/
}

.single__body div + div {
  margin-top: 3em;
}

p.biblio-reference {
  font-size: 15px;
}
@media only screen and (min-width: 700px) {
  p.biblio-reference {
    font-size: 18px;
  }
}


/* TABLE FILTER VENDOR EXTENSION */
table .inf {
  background: none;
  border: 0;
  padding-top: 3em;
}
table .lastPage,
table .firstPage,
table .nbpg,
table .pgNbInp {
  display: none;
}
table .nextPage,
table .previousPage {
  background: none !important;
  width: auto;
  height: auto;
  padding: 0 10px;
}
table .nextPage:hover,
table .previousPage:hover {
  cursor: pointer;
  text-decoration: underline;
}
table .nextPage {
  padding-right: 2em;
}
@media only screen and (min-width: 1024px) {
  table .nextPage {
    padding-right: 0;
  }
}
table div.tot {
  padding: 0;
}
table .reset {
  padding: 0;
  margin-right: 30px;
  font-weight: 300 !important;
}
table .inf {
  display: flex;
  flex-wrap: wrap;
  height: initial;
  min-width: initial;
}
table .ldiv {
  flex-basis: 30%;
  width: 30%;
  float: initial;
  padding-bottom: 3em;
}
@media only screen and (min-width: 1024px) {
  table .ldiv {
    order: 1;
    flex-basis: calc(100% / 3);
    width: calc(100% / 3);
    padding-bottom: 0;
  }
}
table .mdiv {
  flex-basis: 100%;
  width: 100%;
  float: initial;
  text-align: center;
}
@media only screen and (min-width: 1024px) {
  table .mdiv {
    order: 2;
    flex-basis: calc(100% / 3);
    width: calc(100% / 3);
  }
}
table .rdiv {
  flex-basis: 70%;
  width: 70%;
  float: initial;
  text-align: right;
  padding-bottom: 3em;
}
@media only screen and (min-width: 1024px) {
  table .rdiv {
    order: 3;
    margin-top: -0.35em;
    flex-basis: calc(100% / 3);
    width: calc(100% / 3);
    padding-bottom: 0;
  }
}
table select.rspg + .select2 {
  top: -0.15em;
  margin-left: 5px;
}

table .sort-arrow {
  display: inline-block;
  background-image: none;
  padding-left: 5px;
  width: 8px;
  height: 8px;
  padding-bottom: 1px;
}

table .ascending {
  transform: rotate(180deg);
  padding-right: 5px;
  padding-bottom: 0;
}

table.TF.resp {
  overflow: visible;
}

.fltrow {
  height: auto;
  margin-bottom: 15px;
}
@media only screen and (min-width: 1000px) {
  .fltrow {
    height: 1em;
  }
}


table.TF th {
  padding: 2px;
  padding-top: 10px;
  padding-bottom: 10px;
  vertical-align: top;
  height: auto;
}

table.TF td {
  padding: 2px;
  padding-top: 10px;
  padding-bottom: 10px;
  vertical-align: top;
  border-bottom: 0;
}
@media only screen and (min-width: 1000px) {
  table.TF td {
    border-bottom: 1px solid;
    vertical-align: top;
  }
}

table.TF .fltrow td {
  min-width: calc(100% - .4em);
  max-width: calc(100% - .4em);
  padding-bottom: 5px !important;
}
@media only screen and (min-width: 1000px) {
  table.TF .fltrow td {
    padding-bottom: 15px !important;
  }
}

table.TF .fltrow td .select2-container {
  min-width: 100%;
  max-width: 100%;
}

table.TF .fltrow input.flt {
  padding-left: 8px;
  padding-right: 8px;
}

.fltrow td:last-child,
.fltrow td,
table.TF th,
.fltrow {
  background-color: transparent;
  border: 0px solid !important;
}


.flt, 
.flt_s, 
.single_flt {
  font-size: 0.9rem;
  height: 28px;
  outline: 0px;
  border: 1px solid #aaa;
  border-radius: 4px;
}

.activeHeader {
  background-color: transparent !important;
  color: #5897fb !important;
}

.select2-container * {
  font-size: 0.9rem;
  font-family: 'Inter', sans-serif;
}

.select2-container li {
  list-style: none;
}

.select2-results__option {
  padding: 2px 6px;
}


#critical-toolbar * {
  font-size: 0.9rem;
  font-family: 'Inter', sans-serif;
}

#critical-toolbar .lastPage, 
#critical-toolbar .firstPage, 
#critical-toolbar .nbpg, 
#critical-toolbar .pgNbInp {
  display: none;
}

#critical-toolbar .nextPage, 
#critical-toolbar .previousPage {
  background: none !important;
  width: auto;
  height: auto;
  padding: 0.5em;
  font-weight: normal;
  cursor: pointer;
}

#critical-toolbar .nextPage:hover, 
#critical-toolbar .previousPage:hover {
  text-decoration: underline;
}

#critical-toolbar .select2-container {
  top: -2px;
  min-width: 52px;
}

#critical-toolbar .rspgSpan {
  margin-left: 15px;
}

#critical-toolbar .rspg + .select2 .select2-selection__rendered {
  text-align: left;
}

#critical-toolbar .inf {
  border: 0;
  margin-top: 30px;
  overflow: visible;
}

#critical-toolbar .inf a {
  color: black;
  line-height: initial;
  padding: 0;
}

#critical-toolbar .mdiv {
  padding: 0.5em;
}

/*********/


.page-intro {
  font-family: Inter, sans-serif;
  width: 100%;
  margin-bottom: 6em;
  font-size: 1.2rem;
}

.page-subtitle {
  width: 25%;
  float: left; 
  font-weight: bold;
}

.page-description {
  width: 75%;
  display:inline-block;
  font-family: Inter, sans-serif;
  font-size: 16px;
}

.single-intro {
  display: none;

}

p.intro {
  font-size: 1.2em;
  font-family: Inter, sans-serif;
}

div.intro {
    font-size: 1.2em;
  font-family: Inter, sans-serif;
}

.intro p {
  font-size: 1.2rem;
  font-family: Inter, sans-serif;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 4 columns with equal width */
    gap: 20px; /* Space between items */
    padding: 0px;
    box-sizing: border-box;
}

.grid-item {
    position: relative; /* For positioning caption */
   
}

.grid-item--span-2 {
    grid-column: span 2; /* Span 2 columns */
}

.grid-item img {
    width: 100% !important;
    height: auto; /* Maintain aspect ratio */
    display: block;
    border: 1px solid black; /* Border on top of the caption area */
}

.caption {
    padding: 10px; /* Add space around the caption text */
    font-size: 16px;
    padding-left:0;
    color: #black; /* Text color */
}

.grid-item a {
  text-decoration: none;
}

/* Responsive adjustments */
@media (max-width: 800px) {
    .grid-container {
        grid-template-columns: repeat(2, 1fr); /* 2 columns per row on smaller screens */
    }
    .grid-item--span-2 {
        grid-column: span 3; /* Make span 1 column on smaller screens */
    }
}

@media (max-width: 500px) {
    .grid-container {
        grid-template-columns: 1fr; /* 1 column per row on very small screens */
    }
    .grid-item--span-2 {
        grid-column: span 3; /* Make span 1 column on very small screens */
    }
}

.icon-links {
  float: left
}

.container-icon-links {
  display: inline-block;
  padding-top:20px;
}

.container-icon-links img{
  width: 60px;
  padding-right: 10px;
}

.hamburger {
    display: none;
    position: fixed;
    top:28px;
    right: 30px;
    
    width: 30px;
    height: 30px;
    cursor: pointer;
    vertical-align: top;
}

.hamburger .icon {
    width: 30px;
    height: 30px;
    transition: 0.4s;
}

.hamburger .cross-icon {
    display: none;
}

@media only screen and (max-width: 1024px) {
  #nav-links {display:none;}


  header nav {
    display: block;
    position: fixed;
    top:0;
    left:0;
    width: 100vw;
    background-color: white;
    padding: 28px 20px;
    z-index: 1000;
  }


  #nav-links.active {
    display:block;
    margin-top:50px;
    margin-bottom:25px;
  }



  #nav-links.active li {
    font-size: 2em;
  }

  #nav-links.active li a{
    font-size: 1.5rem;
  }

    .hamburger {
        display: inline-block;
    }

    .hamburger.active .hamburger-icon {
        display: none;
    }

    .hamburger.active .cross-icon {
        display: block;
    }

    .page-subtitle {
      width: 100%;
      margin-bottom: 6px;
    }

    .page-description {
      width: 100%;
    }

    h1 {
      font-size: 2em;
    }

    h2 {
      font-size: 1.5em;
    }

    .single {
      margin-top: 6em;
    }

    p.intro {
      margin-bottom: 100px;
    }

    table.TF td { 
      padding-top:5px;
      padding-bottom:5px;
    }

    .inf { 
      min-width: 300px;
    }
}

li:last-child {
  margin-right: 0;
}

.active-lang {
    text-decoration: underline !important;
}

.PT, .ES, .EN {
    display: none; /* Hide all elements by default */
}
